Doomsday Engine - Bug #602

Changed chainsaw behaviour
2009-02-07 21:43 - danij

Status: Closed Start date: 2009-02-07
Priority: Normal % Done: 100%
Assignee: skyjake

Category:

Target version:

Description

In DOOM, the chainsaw would "drag" the player towards whatever was being attacked when within a certain range, rather like a
"tractor beam". Currently this behaviour seems broken.

Labels: jDoom

History

#1 - 2009-02-21 16:10 - danij
The cause of this is that P_PlayerThinkAttackLunge is still updating ddplayer_t::cmd directly, rather than player_t::brain.

#2 - 2009-04-19 15:05 - vermil

I'll throw in that Heretic's Gauntlet’s are also affected by this, likely given the Gauntlet’s similar behaviour to Doom's Chainsaw.

#3 - 2010-04-05 17:46 - skyjake

Attack lunge restored for beta6.9.
